xgboost

Classes | Public Member Functions | Public Attributes | List of all members
xgboost::common::GKSummary< DType, RType > Struct Template Reference

traditional GK summary More...

`#include <quantile.h>`

Collaboration diagram for xgboost::common::GKSummary< DType, RType >:

## Classes
struct | Entry
| an entry in the sketch summary More...
struct | Queue
| input data queue before entering the summary More...

## Public Member Functions
| GKSummary (Entry *data, size_t size)
RType | MaxError () const
| the maximum error of the summary More...
RType | MaxRank () const
void | CopyFrom (const GKSummary &src)
| copy content from src More...
void | CheckValid (RType eps) const
void | Print () const
| used for debug purpose, print the summary More...
void | SetPrune (const GKSummary &src, size_t maxsize)
| set current summary to be pruned summary of src assume data field is already allocated to be at least maxsize More...
void | SetCombine (const GKSummary &sa, const GKSummary &sb)

## Public Attributes
Entry * | data
| data field More...
size_t | size
| number of elements in the summary More...

## Detailed Description

### template<typename DType, typename RType>
struct xgboost::common::GKSummary< DType, RType >

traditional GK summary

## Constructor & Destructor Documentation

## ◆ GKSummary()

template<typename DType , typename RType >

xgboost::common::GKSummary< DType, RType >::GKSummary | ( | Entry * | data,
|  | size_t | size
| ) |  |
| inline

## Member Function Documentation

## ◆ CheckValid()

template<typename DType , typename RType >

void xgboost::common::GKSummary< DType, RType >::CheckValid | ( | RType | eps | ) | const
| inline

## ◆ CopyFrom()

template<typename DType , typename RType >

void xgboost::common::GKSummary< DType, RType >::CopyFrom | ( | const GKSummary< DType, RType > & | src | ) |
| inline

copy content from src

Parameters

  src | source sketch

## ◆ MaxError()

template<typename DType , typename RType >

RType xgboost::common::GKSummary< DType, RType >::MaxError | ( |  | ) | const
| inline

the maximum error of the summary

## ◆ MaxRank()

template<typename DType , typename RType >

RType xgboost::common::GKSummary< DType, RType >::MaxRank | ( |  | ) | const
| inline

Returns
  maximum rank in the summary

## ◆ Print()

template<typename DType , typename RType >

void xgboost::common::GKSummary< DType, RType >::Print | ( |  | ) | const
| inline

used for debug purpose, print the summary

## ◆ SetCombine()

template<typename DType , typename RType >

void xgboost::common::GKSummary< DType, RType >::SetCombine | ( | const GKSummary< DType, RType > & | sa,
|  | const GKSummary< DType, RType > & | sb
| ) |  |
| inline

## ◆ SetPrune()

template<typename DType , typename RType >

void xgboost::common::GKSummary< DType, RType >::SetPrune | ( | const GKSummary< DType, RType > & | src,
|  | size_t | maxsize
| ) |  |
| inline

set current summary to be pruned summary of src assume data field is already allocated to be at least maxsize

Parameters

  src | source summary
  maxsize | size we can afford in the pruned sketch

## Member Data Documentation

## ◆ data

template<typename DType , typename RType >

Entry* xgboost::common::GKSummary< DType, RType >::data

data field

## ◆ size

template<typename DType , typename RType >

size_t xgboost::common::GKSummary< DType, RType >::size

number of elements in the summary

The documentation for this struct was generated from the following file:

- /workspace/src/common/quantile.h